import React, { useRef, useState } from 'react'
import axios from 'axios';

export default function Upload() {
  const uploadRef = useRef();
  const [loading,setLoading] = useState(false);

  const onSub = (e) => {
    e.preventDefault();
    doApiUpload();
  }

  const doApiUpload = async() => {
    try{
      const myFile = uploadRef.current.files[0];
      const url = "http://localhost:3002/upload/file_data";
      const reader = new FileReader();
      reader.readAsDataURL(myFile);
      reader.addEventListener("loadend",async() => {
        const resp = await axios({
          url:url,
          method:"POST",
          data:{myFile:reader.result}
        })
        console.log(resp.data);
      })

    }
    catch(err){
      console.log(err);
      alert("There problem , come back later")
    }
  }

  const doApiUpload2 = async() => {
    try{
      const myFile = uploadRef.current.files[0];
      const fData = new FormData();
      fData.append("myFile", myFile);
      const url = "http://localhost:3002/upload/test1";
      const resp = await axios({
        url:url,
        method:"POST",
        data:fData
      })
      console.log(resp.data);

    }
    catch(err){
      console.log(err);
      alert("There problem , come back later")
    }
  }

  return (
    <div className='container'>
      {/* encType='multipart/form-data' -> כדי לעבוד עם קבצים */}
      <form onSubmit={onSub} className='col-md-6' type="">
        <h1>Upload Cloudinary</h1>
        <input ref={uploadRef} type="file" className='form-control' />
        {loading && <h2>Loading...</h2>}
        <button className='btn btn-dark mt-3'>Upload to node to cloud</button>
      </form>
    </div>
  )
}
